@import "./variables/colors";
@import "./variables/fonts";
@import "./variables/mixins";

@include features_2;

* {
  @include box-sizing(border-box);
}

.navigation-category__list {
  display: flex;
  justify-content: center;
  background-color: $colorPrincipal;
  font-weight: 300;
  font-size: 15px;
  padding: 10px 0;

  li {
    padding: 0 20px;
    @include desktop {
      padding: 0 10px;
    }
  }
}

.cover-mobile {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  padding-top: 40px;
  @include desktop {
    display: none;
  }

  .category-cover-mobile {
    text-transform: uppercase;
    color: $colorCategorias;
    font-weight: 300;
    font-size: 16px;
    span {
      font-weight: 900;
      padding-right: 3px;
      border-right: 1px solid $colorCategorias;
    }
  }

  .title-cover-mobile {
    color: $colorTextoTitulos;
    font-size: 30px;
    margin-top: 0;
    margin-bottom: 0;
    font-weight: 700;
  }

  .summary-cover-mobile {
    font-weight: 300;
    color: $colorTextoSummary;
    font-size: 24px;
    margin-top: 0;
  }
}

.desktop-hero-container {
  display: none;
  @include desktop {
    display: flex;
  }
  .desktop-hero-container__info {
    flex: 0 0 30%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    margin-right: 40px;

    p {
      color: $colorCategorias;
      span {
        font-weight: 300;
      }
    }
  }

  .title-cover-desktop {
    @include desktop {
      color: $colorTextoTitulos;
      font-size: 25px;
      margin: 0;
    }
  }

  .summary-cover-desktop {
    @include desktop {
      font-weight: 300;
      margin: 8px 0;
      font-size: 20px;
    }
  }
  .cover-category {
    border-right: 1px solid $colorCategorias;
    padding-right: 5px;
    font-size: 16px;
    @include features_1;
  }

  .cover-subcategory {
    padding-left: 5px;
    font-weight: 300;
    font-size: 16px;
    @include features_1;
  }
}

.title-summary-container.mobile {
  display: block;
}

.title-summary-container.desktop {
  display: none;
}

.date {
  font-weight: 300;
}

.facebook-logo-box {
  margin-right: 10px;
}

.facebook-logo-box,
.share-logo-box {
  width: 15%;
  @include desktop {
    width: 20%;
  }
}

/*SECOND BLOCK*/

.category-h1 {
  text-transform: uppercase;
  color: $colorPrincipal;
  padding-bottom: 5px;
  border-bottom: 1px solid $colorPrincipal;
}

.category-block {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  border-bottom: 1px solid $colorPrincipal;

  .category-article {
    flex: 0 0 calc(50% - 10px);
    @include desktop {
      flex: 0 0 calc(33.3% - 30px);
    }
    &:nth-child(3n) {
      display: none;
      @include desktop {
        display: block;
      }
    }
    .category-container-category {
      .category-category {
        padding-bottom: 2px;
        border-bottom: 1px solid $colorCategorias;
        font-size: 14px;
        margin: 0;
        text-transform: uppercase;
        color: $colorCategorias;
        @include desktop {
          border-right: 1px solid $colorCategorias;
          border-bottom: 0;
          padding-right: 5px;
        }
      }

      .subcategory-category {
        font-weight: 300;
        padding-top: 2px;
        font-size: 14px;
        margin: 0;
        text-transform: uppercase;
        color: $colorCategorias;
        @include desktop {
          padding-top: 0;
          padding-left: 5px;
        }
      }
      @include desktop {
        display: flex;
      }
    }
    .title-category {
      font-size: 22px;
      color: $colorTextoTitulos;
      margin-top: 8px;
      margin-bottom: 10px;
    }
    .summary-category.desktop {
      display: none;
      @include desktop {
        display: block;
      }
    }

    .summary-category {
      margin: 10px 0;
      font-size: 17px;
      font-weight: 300;
      color: $colorTextoTitulos;
      @include desktop {
        display: none;
      }
    }

    .sources-category {
      p {
        margin: 0;
        font-size: 14px;
        font-weight: 500;
        color: $colorCategorias;
        span {
          font-weight: 300;
        }
      }
      @include desktop {
        display: flex;
        align-items: center;
        justify-content: space-between;
      }

      .images-container__facebook {
        @include features_images_RRSS;
        margin-right: 10px;
      }

      .images-container__share {
        @include features_images_RRSS;
      }
    }
  }
}

.read-more {
  color: $colorPrincipal;
  margin: 10px 0;
  text-align: right;
  font-size: 22px;
  @include desktop {
    margin-bottom: 20px;
  }
}

/*Third block*/
.random-block {
  @include desktop {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    article {
      flex: 0 0 calc(50% - 20px);
    }
  }

  .category-container-random {
    display: flex;
    align-items: center;
    margin-bottom: 8px;

    .category-random {
      font-weight: 500;
      border-right: 1px solid $colorCategorias;
      padding-right: 5px;
      color: $colorCategorias;
    }

    .subcategory-random {
      font-weight: 300;
      padding-left: 5px;
      color: $colorCategorias;
    }

    .title-random {
      font-size: 30px;
      margin: 8px 0;
      color: $colorTextoTitulos;
    }


  }

  .title-summary-container.desktop {
    @include desktop {
      display: block;
    }
  }

  .title-summary-container.mobile {
        .summary-random {
      font-weight: 300;
      margin-top: 0;
      font-size: 22px;
      color: $colorTextoTitulos;
    }
    @include desktop {
      display: none;
    }
  }
  p {
    color: $colorCategorias;
    span {
      font-weight: 300;
    }
  }
}

footer {
  background-color: $colorTextoTitulos;
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: center;

  .logo-footer-container {
    width: 30%;
    @include desktop {
      width: 15%;
    }
  }

  .list-footer-container {
    display: flex;
    justify-content: center;
    color: $blanco;
    @include desktop {
      justify-content: flex-start;
    }
    div {
      padding: 10px;
      li {
        font-weight: 300;
        padding: 2px 0;
      }
    }
  }
}
